API Reference

Webhooks

Outbound webhook subscriptions.

9 endpoints· Auth: API Key
get/api/v1/store/integrations/webhooks API Key

Get webhooks

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/webhooks" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
post/api/v1/store/integrations/webhooks API Key

Create webhooks

Request body

application/json
{
  "url": "string",
  "eventTypes": [
    "string"
  ],
  "isEnabled": false
}
url
string
eventTypes
string[]
isEnabled
boolean

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/webhooks" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "url": "string",
  "eventTypes": [
    "string"
  ],
  "isEnabled": false
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/store/integrations/webhooks/{subscriptionId} API Key

Delete subscriptionId

Path parameters

subscriptionIdrequired
string (uuid)

Responses

200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/webhooks/{subscriptionId}" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
get/api/v1/store/integrations/webhooks/{subscriptionId}/deliveries API Key

Get deliveries

Path parameters

subscriptionIdrequired
string (uuid)

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/webhooks/{subscriptionId}/deliveries" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/webhooks/{subscriptionId}/disable API Key

Create disable

Path parameters

subscriptionIdrequired
string (uuid)

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/webhooks/{subscriptionId}/disable" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/webhooks/{subscriptionId}/enable API Key

Create enable

Path parameters

subscriptionIdrequired
string (uuid)

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/webhooks/{subscriptionId}/enable" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/webhooks/{subscriptionId}/rotate-secret API Key

Create rotate-secret

Path parameters

subscriptionIdrequired
string (uuid)

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/webhooks/{subscriptionId}/rotate-secret" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/webhooks/deliveries/{deliveryId}/retry API Key

Create retry

Path parameters

deliveryIdrequired
string (uuid)

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/webhooks/deliveries/{deliveryId}/retry" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
get/api/v1/store/integrations/webhooks/event-types API Key

Get event-types

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/webhooks/event-types" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu